/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// GLSurfGridPointsDlg.cpp : インプリメンテーション ファイル

#include "stdafx.h"
#include "GLSurfGridPointsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGLSurfGridPointsDlg ダイアログ


CGLSurfGridPointsDlg::CGLSurfGridPointsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGLSurfGridPointsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGLSurfGridPointsDlg)
	m_nu = 2;
	m_nv = 2;
	//}}AFX_DATA_INIT
}


void CGLSurfGridPointsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGLSurfGridPointsDlg)
	DDX_Text(pDX, IDC_EDIT_SURF_GRID_U, m_nu);
	DDV_MinMaxUInt(pDX, m_nu, 2, 255);
	DDX_Text(pDX, IDC_EDIT_SURF_GRID_V, m_nv);
	DDV_MinMaxUInt(pDX, m_nv, 2, 255);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGLSurfGridPointsDlg, CDialog)
	//{{AFX_MSG_MAP(CGLSurfGridPointsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
